{
  "db_name": "PostgreSQL",
  "query": "select\n                id,\n                workspace_id,\n                agent_id,\n                operation_id,\n                protocol,\n                mode,\n                status,\n                cursor_json,\n                state_json,\n                expires_at as \"expires_at!: OffsetDateTime\",\n                last_poll_at as \"last_poll_at: OffsetDateTime\",\n                created_at as \"created_at!: OffsetDateTime\",\n                closed_at as \"closed_at: OffsetDateTime\"\n             from stream_sessions\n             where id = $1",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": "Text"
      },
      {
        "ordinal": 1,
        "name": "workspace_id",
        "type_info": "Text"
      },
      {
        "ordinal": 2,
        "name": "agent_id",
        "type_info": "Text"
      },
      {
        "ordinal": 3,
        "name": "operation_id",
        "type_info": "Text"
      },
      {
        "ordinal": 4,
        "name": "protocol",
        "type_info": "Text"
      },
      {
        "ordinal": 5,
        "name": "mode",
        "type_info": "Text"
      },
      {
        "ordinal": 6,
        "name": "status",
        "type_info": "Text"
      },
      {
        "ordinal": 7,
        "name": "cursor_json",
        "type_info": "Jsonb"
      },
      {
        "ordinal": 8,
        "name": "state_json",
        "type_info": "Jsonb"
      },
      {
        "ordinal": 9,
        "name": "expires_at!: OffsetDateTime",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 10,
        "name": "last_poll_at: OffsetDateTime",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 11,
        "name": "created_at!: OffsetDateTime",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 12,
        "name": "closed_at: OffsetDateTime",
        "type_info": "Timestamptz"
      }
    ],
    "parameters": {
      "Left": [
        "Text"
      ]
    },
    "nullable": [
      false,
      false,
      true,
      false,
      false,
      false,
      false,
      true,
      false,
      false,
      true,
      false,
      true
    ]
  },
  "hash": "a1d2c9b16b61d226701449fc22146db6f0f7d17e6867f929c44027990fb94b57"
}
